PropDetailHandler (BioJava-1.5-beta API)
Keywords: org.biojava.bio.program.xff.PropDetailHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.xff
Class PropDetailHandler

    java.lang.Object
      org.biojava.utils.stax.StAXContentHandlerBase
          org.biojava.utils.stax.StringElementHandlerBase
              org.biojava.bio.program.xff.PropDetailHandler

All Implemented Interfaces:
  StAXContentHandler

    public class PropDetailHandler

extends StringElementHandlerBase

StAX handler for xff:prop detail elements. prop details are simple tag-value text, and they are added directly as properties of the feature.

Since:
  1.2
Author:
  Thomas Down

Field Summary
`static XFFPartHandlerFactory` | `PROPDETAIL_HANDLER_FACTORY`

Constructor Summary
`PropDetailHandler(XFFFeatureSetHandler xffenv)`

Method Summary
`protected void` | `setStringValue(String s)` Override this method to do something useful with the string we collect.
`void` | `startElement(String nsURI, String localName, String qName, Attributes attrs, DelegationManager dm)`

Methods inherited from class org.biojava.utils.stax.StringElementHandlerBase
`characters, endElement`

Methods inherited from class org.biojava.utils.stax.StAXContentHandlerBase
`endPrefixMapping, endTree, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startPrefixMapping, startTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPDETAIL_HANDLER_FACTORY

    public static final XFFPartHandlerFactory PROPDETAIL_HANDLER_FACTORY

Constructor Detail

### PropDetailHandler

    public PropDetailHandler(XFFFeatureSetHandler xffenv)

Method Detail

### startElement

    public void startElement(String nsURI,
                             String localName,
                             String qName,
                             Attributes attrs,
                             DelegationManager dm)
                      throws SAXException

  Specified by:
    `startElement` in interface `StAXContentHandler`
  Overrides:
    `startElement` in class `StringElementHandlerBase`
  Throws:
    `SAXException`

### setStringValue

    protected void setStringValue(String s)
                           throws SAXException

  Description copied from class: `StringElementHandlerBase`
  Override this method to do something useful with the string we collect. Maybe we should do this by delegation rather than extension.

  Specified by:
    `setStringValue` in class `StringElementHandlerBase`
  Throws:
    `SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD